import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MasterCategoryComponent } from './master-category/master-category.component';
import { MasterLocationComponent } from './master-location/master-location.component';
import { MasterLocationRoomComponent } from './master-location-room/master-location-room.component';
import { MasterTypeComponent } from './master-type/master-type.component';

import { RouterModule } from '@angular/router';
import { ChartistModule } from 'ng-chartist';
import { NgxDatatableModule } from '@swimlane/ngx-datatable';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { NgChartsModule } from 'ng2-charts';
import { BlockUIModule } from 'ng-block-ui';
import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';
import { BlockTemplateComponent } from 'src/app/_layout/blockui/block-template.component';
import { CardModule } from '../../partials/general/card/card.module';
import { MatchHeightModule } from '../../partials/general/match-height/match-height.module';
import { BreadcrumbModule } from 'src/app/_layout/breadcrumb/breadcrumb.module';
import { MasterStatusComponent } from './master-status/master-status.component';
import { MasterDurationUseComponent } from './master-duration-use/master-duration-use.component';
import { MasterUserComponent } from './master-user/master-user.component';
import { MasterRoleComponent } from './master-role/master-role.component';
import { AddEditMasterComponent } from './add-edit-master/add-edit-master.component';



@NgModule({
  declarations: [
    MasterCategoryComponent,
    MasterLocationComponent,
    MasterLocationRoomComponent,
    MasterTypeComponent,
    MasterStatusComponent,
    MasterDurationUseComponent,
    MasterUserComponent,
    MasterRoleComponent,
    AddEditMasterComponent
  ],
  imports: [
    CommonModule,
    ChartistModule,
    FormsModule,
    NgChartsModule,
    CardModule,
    MatchHeightModule,
    NgxDatatableModule,
    PerfectScrollbarModule,
    BreadcrumbModule,
    ReactiveFormsModule,
    NgbModule,
    BlockUIModule.forRoot({
      template: BlockTemplateComponent
    }),
    RouterModule.forChild([
      {
        path: 'master-category',
        component: MasterCategoryComponent
      },
      {
        path: 'master-location',
        component: MasterLocationComponent
      },
      {
        path: 'master-location-room',
        component: MasterLocationRoomComponent
      },
      {
        path: 'master-type',
        component: MasterTypeComponent
      },
      {
        path: 'master-status',
        component: MasterStatusComponent
      },
      {
        path: 'master-duration-use',
        component: MasterDurationUseComponent
      },
      {
        path: 'master-user',
        component: MasterUserComponent
      },
      {
        path: 'master-role',
        component: MasterRoleComponent
      }
    ])
  ]
})
export class MasterModule { }
